hadoop-mapreduce-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From maha...@apache.org
Subject svn commit: r1209825 - in /hadoop/common/trunk/hadoop-mapreduce-project: CHANGES.txt hadoop-yarn/bin/yarn
Date Sat, 03 Dec 2011 03:38:06 GMT
Author: mahadev
Date: Sat Dec  3 03:38:05 2011
New Revision: 1209825

URL: http://svn.apache.org/viewvc?rev=1209825&view=rev
Log:
MAPREDUCE-3456. /bin/yarn should set defaults for *_HOME (Eric Payne via mahadev)

Modified:
    hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt
    hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/bin/yarn

Modified: hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt
URL: http://svn.apache.org/viewvc/hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt?rev=1209825&r1=1209824&r2=1209825&view=diff
==============================================================================
--- hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt (original)
+++ hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt Sat Dec  3 03:38:05 2011
@@ -230,6 +230,9 @@ Release 0.23.1 - Unreleased
 
     MAPREDUCE-3479. JobClient#getJob cannot find local jobs. (tomwhite)
 
+    MAPREDUCE-3456. $HADOOP_PREFIX/bin/yarn should set defaults for 
+    $HADOOP_*_HOME (Eric Payne via mahadev)
+
 Release 0.23.0 - 2011-11-01 
 
   INCOMPATIBLE CHANGES

Modified: hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/bin/yarn
URL: http://svn.apache.org/viewvc/hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/bin/yarn?rev=1209825&r1=1209824&r2=1209825&view=diff
==============================================================================
--- hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/bin/yarn (original)
+++ hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/bin/yarn Sat Dec  3 03:38:05
2011
@@ -148,9 +148,13 @@ IFS=
 
 # add hadoop-common libs to CLASSPATH
 if [ ! -d "$HADOOP_COMMON_HOME" ]; then
-  echo No HADOOP_COMMON_HOME set. 
-  echo Please specify it either in yarn-env.sh or in the environment.
-  exit 1
+  if [ -d "$HADOOP_PREFIX" ]; then
+    export HADOOP_COMMON_HOME=$HADOOP_PREFIX
+  else
+    echo No HADOOP_COMMON_HOME set. 
+    echo Please specify it either in yarn-env.sh or in the environment.
+    exit 1
+  fi
 fi
 
 CLASSPATH=${CLASSPATH}:$HADOOP_COMMON_HOME/share/hadoop/common'/*'
@@ -158,9 +162,13 @@ CLASSPATH=${CLASSPATH}:$HADOOP_COMMON_HO
 
 # add hadoop-hdfs libs to CLASSPATH
 if [ ! -d "$HADOOP_HDFS_HOME" ]; then
-  echo No HADOOP_HDFS_HOME set. 
-  echo Please specify it either in yarn-env.sh or in the environment.
-  exit 1
+  if [ -d "$HADOOP_PREFIX" ]; then
+    export HADOOP_HDFS_HOME=$HADOOP_PREFIX
+  else
+    echo No HADOOP_HDFS_HOME set. 
+    echo Please specify it either in yarn-env.sh or in the environment.
+    exit 1
+  fi
 fi
 CLASSPATH=${CLASSPATH}:$HADOOP_HDFS_HOME/share/hadoop/hdfs'/*'
 CLASSPATH=${CLASSPATH}:$HADOOP_HDFS_HOME/share/hadoop/hdfs/lib'/*'



Mime
View raw message